Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.specific
Class AbstractFlowConstructDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
              org.mule.config.spring.parsers.specific.AbstractFlowConstructDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

Direct Known Subclasses:
  BridgeDefinitionParser, SimpleServiceDefinitionParser, ValidatorDefinitionParser, WSProxyDefinitionParser

    public abstract class AbstractFlowConstructDefinitionParser

extends AbstractMuleBeanDefinitionParser

Field Summary
`protected static String` | `ADDRESS_ATTRIBUTE`
`protected static String` | `ENDPOINT_REF_ATTRIBUTE`
`protected static String` | `INBOUND_ADDRESS_ATTRIBUTE`
`protected static String` | `INBOUND_ENDPOINT_CHILD`
`protected static String` | `INBOUND_ENDPOINT_REF_ATTRIBUTE`
`protected static String` | `OUTBOUND_ADDRESS_ATTRIBUTE`
`protected static String` | `OUTBOUND_ENDPOINT_CHILD`
`protected static String` | `OUTBOUND_ENDPOINT_REF_ATTRIBUTE`
`protected static String` | `RESPONSE_TRANSFORMER_REFS_ATTRIBUTE`
`protected static String` | `TRANSFORMER_REFS_ATTRIBUTE`

Fields inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`ATTRIBUTE_CLASS, ATTRIBUTE_ID, ATTRIBUTE_NAME, ATTRIBUTE_REF, ATTRIBUTE_REF_SUFFIX, ATTRIBUTE_REFS, ATTRIBUTE_REFS_SUFFIX, beanPropertyConfiguration, logger, ROOT_ELEMENT, singleton`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`AbstractFlowConstructDefinitionParser()`

Method Summary
`protected org.springframework.beans.factory.support.BeanDefinitionBuilder` | `createBeanDefinitionBuilder(Element element, Class beanClass)`
`protected void` | `doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)` Parse the supplied `Element` and populate the supplied `BeanDefinitionBuilder` as required.

Methods inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, checkElementNameUnique, getBeanAssembler, getBeanAssemblerFactory, getBeanClass, getBeanClassFromAttribute, getBeanName, getClassConstraint, getClassInternal, getParserContext, getRegistry, isAllowClassAttribute, isSingleton, isTopLevel, muleParse, parseInternal, postProcess, preProcess, processProperty, registerPostProcessor, registerPreProcessor, removeIgnored, resolveId, setAllowClassAttribute, setBeanAssemblerFactory, setClassConstraint, setDeprecationWarning, setIgnoredDefault, setParserContext, setRegistry`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Field Detail

### ENDPOINT_REF_ATTRIBUTE

    protected static final String ENDPOINT_REF_ATTRIBUTE

See Also:
  Constant Field Values

### ADDRESS_ATTRIBUTE

    protected static final String ADDRESS_ATTRIBUTE

See Also:
  Constant Field Values

### INBOUND_ADDRESS_ATTRIBUTE

    protected static final String INBOUND_ADDRESS_ATTRIBUTE

See Also:
  Constant Field Values

### INBOUND_ENDPOINT_REF_ATTRIBUTE

    protected static final String INBOUND_ENDPOINT_REF_ATTRIBUTE

See Also:
  Constant Field Values

### INBOUND_ENDPOINT_CHILD

    protected static final String INBOUND_ENDPOINT_CHILD

See Also:
  Constant Field Values

### OUTBOUND_ADDRESS_ATTRIBUTE

    protected static final String OUTBOUND_ADDRESS_ATTRIBUTE

See Also:
  Constant Field Values

### OUTBOUND_ENDPOINT_REF_ATTRIBUTE

    protected static final String OUTBOUND_ENDPOINT_REF_ATTRIBUTE

See Also:
  Constant Field Values

### OUTBOUND_ENDPOINT_CHILD

    protected static final String OUTBOUND_ENDPOINT_CHILD

See Also:
  Constant Field Values

### TRANSFORMER_REFS_ATTRIBUTE

    protected static final String TRANSFORMER_REFS_ATTRIBUTE

See Also:
  Constant Field Values

### RESPONSE_TRANSFORMER_REFS_ATTRIBUTE

    protected static final String RESPONSE_TRANSFORMER_REFS_ATTRIBUTE

See Also:
  Constant Field Values

Constructor Detail

### AbstractFlowConstructDefinitionParser

    public AbstractFlowConstructDefinitionParser()

Method Detail

### createBeanDefinitionBuilder

    protected org.springframework.beans.factory.support.BeanDefinitionBuilder createBeanDefinitionBuilder(Element element,
                                                                                                          Class beanClass)

  Overrides:
    `createBeanDefinitionBuilder` in class `AbstractMuleBeanDefinitionParser`

### doParse

    protected void doParse(Element element,
                           org.springframework.beans.factory.xml.ParserContext parserContext,
                           org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  Description copied from class: `AbstractMuleBeanDefinitionParser`
  Parse the supplied `Element` and populate the supplied `BeanDefinitionBuilder` as required.

  The default implementation delegates to the `doParse` version without ParserContext argument.

  Overrides:
    `doParse` in class `AbstractMuleBeanDefinitionParser`
  Parameters:
    `element` - the XML element being parsed
    `parserContext` - the object encapsulating the current state of the parsing process
    `builder` - used to define the `BeanDefinition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.